import os
import re
import pprint

acc_regex = re.compile(r".*Acc=(-?\d{1,3}\.\d{2}).*")

def get_result(trainset, testset):
    print "Getting results for %s on %s" % (trainset, testset)
    lines = open(os.path.join("results", trainset, testset, "output.res"),
            'r').readlines()
    for line in lines:
        match = acc_regex.match(line)
        if match is not None:
            return match.group(1)
    print "COULD NOT FIND MATCH"
    return 0

testset = "tidigitschildztest"
#testset = "tidigitsadultztest"
#testset = "cmuztest"
resulties = []

a = [[96 for x in xrange(11)] for i in xrange(6)]

for o in range(100,121,2):
    for i in range(110,121,2):
        if o>i:
            continue
        for j in range(120,121,1):
            if i>j:
                continue
            resulties.append(float(get_result('tidigitsadultztrain_mwf_l%i_m%i_h%i' % (o, i, j), testset)))
            a[(i-110)/2][(o-100)/2] = resulties[-1]
            if resulties[-1] >= 97.35:
                print o, i, j

print a
print max(resulties)

#format = "tidigitsadultztrain%.2f_phonemodel"
#format = "tidigitsadulttrain%i_phonemodel"
#format = "timitztrain%i"

factors = []
accuracies = []

#factors.append("1.00")
#accuracies.append(get_result(format.replace("%i", ""), testset))


#for i in range(100,131):
#    alpha = 1.0-float(i)/100.0
#    #trainset = format % alpha
#    #factors.append(str(alpha))
#    trainset = format % i
#    factors.append(str(i/float(100)))
#    accuracies.append(get_result(trainset, testset))
#
#print "[%s]" % ", ".join(factors)
#print "[%s]" % ", ".join(accuracies)
#
#for i, factor in enumerate(factors):
#    print "%.2f & %.2f & %.2f \\\\" % (float(factor), float(accuracies[i]), 100.0-float(accuracies[i]))
