import tester
import os

import logging

def tostring(intlist):
    strlist = []
    for i in intlist:
        strlist.append(str(i))
    return strlist

logging.basicConfig(level=logging.DEBUG,
                format="%(asctime)-15s %(message)s")



pw = [
        range(100,131,5),
        range(100,131,3),
        range(110,131,5),
        range(110,131,3),
        ]
bl = [
        range(100,121,5),
        range(100,121,3),
        range(105,116,5),
        range(105,116,3),
        ]
#sources = ['ticombinedztrain']
sources = ['timitztrain_110_115_120_125_130_135_140']

#for i in bl:
#    sources.append("tidigitsadultztrain_phonemodel_multi_%s_bilin" % "_".join(tostring(i)))

#for i in xrange(101,131,2):
#    sources.append("tidigitsadulttrain%i_phonemodel" % i)

#for o in xrange(100,121,2):
#    for i in xrange(110,121,2):
#        if o>i:
#            continue
#        for j in xrange(120,121,1):
#            if i>j:
#                continue
#            sources.append('tidigitsadultztrain_mwf_l%i_m%i_h%i' % (o, i, j))


#format = "tidigitsadultztrain%i_phonemodel"
#format = "timitztrain%i"
#
#for i in xrange(100,136,2):
#    sources.append(format % i)

#format = "tidigitsadultztrain%.2f_phonemodel"
#
#for i in xrange(100,121):
#    alpha = 1.0-float(i)/100.0
#    sources.append(format % alpha)
#    #sources.append(format % "_".join(tostring(i)))

source_folders = []
target_folders = []

#testset = "tidigitschildztest"
testset = "cmuztest"
#testset = "timitztest"
#testset = "tidigitsadultztest"

for source in sources:
    source_folders.append(os.path.join("models", source, "hmm8_16"))
    target_folders.append(os.path.join("results", source, testset))


for i, source in enumerate(source_folders):
    logging.error("Starting")
    tester.viterbi(source, target_folders[i],
            "tmp/%s_features.scp" % testset,
            "cmu/cmu.sp.dict",
            "cmu/cmu.wp.net",
            "cmu/phone.sp.list")
#            "timit/timit.dic",
#            "timit/wp.net",
#            "timit/phone.sp.list")
#            "tidigits/phonemodel/phone.sp.dict",
#            "tidigits/words.wdnet",
#            "tidigits/phonemodel/phone.sp.list")
#            "tidigits/wordmodel/word.dict",
#            "tidigits/words.wdnet",
#            "tidigits/words.sp.list")
    logging.error("Finished")
