class Sets(object):
    def __init__(self):
        self.sets = []
        self.multisets = []
    def get_sets(self):
        return self.sets
    def reg_set(self, regset):
        self.sets.append(regset)
    def reg_multiset(self, multiset):
        self.multisets.append(multiset)
    def get_multisets(self):
        return self.multisets

def tostring(intlist):
    strlist = []
    for i in intlist:
        strlist.append(str(i))
    return strlist

setlist = Sets()

baseset = {
        'name': 'ticombinedztrain',
#        'warpfreq': 1,
#        'warplcutoff': '500',
#        'warpucutoff': '7500',
        'filelist': 'tidigits/combined.train.scp',
        'mlf': 'tidigits/phonemodel/combined.train.mlf',
        'spmlf': 'tidigits/phonemodel/combined.train.sp.mlf',
        'modellist': 'tidigits/phonemodel/phone.list',
        'spmodellist': 'tidigits/phonemodel/phone.sp.list',
        'config': 'lib/stdcfg.cfg',
        'trainconfig': 'lib/traincfg.cfg',
        'vectype': 'MFCC_E_D_A_Z',
        'numvecs': 13,
        'models': {
#            'eight': 7,
#            'five': 8,
#            'four': 8,
#            'nine': 8,
#            'oh': 5,
#            'one': 8,
#            'seven': 12,
#            'six': 10,
#            'three': 8,
#            'two': 7,
#            'zero': 10,
#            'eight': 12,
#            'five': 12,
#            'four': 12,
#            'nine': 12,
#            'oh': 12,
#            'one': 12,
#            'seven': 12,
#            'six': 12,
#            'three': 12,
#            'two': 12,
#            'zero': 12,
            'aa': 5,
            'ah': 5,
            'ay': 5,
            'eh': 5,
            'ey': 5,
            'f': 5,
            'ih': 5,
            'iy': 5,
            'k': 5,
            'n': 5,
            'ow': 5,
            'r': 5,
            's': 5,
            't': 5,
            'th': 5,
            'uw': 5,
            'v': 5,
            'w': 5,
            'z': 5,
            'sil': 5,
            },
        'targetkind': 'MFCC_E_D_A_Z',
        'targetrate': '100000.0',
        'windowsize': '250000.0',
        'usehamming': 'T',
        'preemcoef': '0.97',
        'numchans': '26',
        'ceplifter': '22',
        'numceps': '12',
        'sourcerate': '625',
        'sourcekind': 'WAVEFORM',
        'sourceformat': 'WAV',
        'mixtures': '16',
        'bilin': False,
        'cleanup': True,
        'multiset': False,
        }
setlist.reg_set(baseset)
